changeset 1569:a91fb1944247

Making bind mounts read only inexplicably requires a two step process, due to a kernel limitation.
author Rob Landley <rob@landley.net>
date Mon, 10 Dec 2012 12:14:51 -0600
parents 193e92aab6d2
children bee6b26a006d
files more/chroot-splice.sh
diffstat 1 files changed, 2 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/more/chroot-splice.sh	Sun Dec 09 13:04:37 2012 -0600
+++ b/more/chroot-splice.sh	Mon Dec 10 12:14:51 2012 -0600
@@ -40,7 +40,8 @@
 
 if [ -d "$2" ]
 then
-  mount -o bind,ro "$2" "$CHROOT/mnt" || exit 1
+  mount -o bind "$2" "$CHROOT/mnt" &&
+  mount -o remount,ro "$CHROOT/mnt"|| exit 1
 else
   mount -o loop "$2" "$CHROOT/mnt" || exit 1
 fi